## org.apache.axis.ime.internal.util
Class NonPersistentKeyedBuffer.KeyedQueueIterator

    java.lang.Object
      |
      +--org.apache.axis.ime.internal.util.NonPersistentKeyedBuffer.KeyedQueueIterator

All Implemented Interfaces:
  java.util.Iterator

Enclosing class:
  NonPersistentKeyedBuffer

protected static class NonPersistentKeyedBuffer.KeyedQueueIterator
extends java.lang.Object
implements java.util.Iterator

Field Summary
`protected NonPersistentKeyedBuffer.KeyedNode` `current`
`protected NonPersistentKeyedBuffer.KeyedNode` `next`

Constructor Summary
`NonPersistentKeyedBuffer.KeyedQueueIterator(NonPersistentKeyedBuffer.KeyedNode node)`

Method Summary
`boolean` `hasNext()`
`java.lang.Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### current

    protected NonPersistentKeyedBuffer.KeyedNode current

### next

    protected NonPersistentKeyedBuffer.KeyedNode next

Constructor Detail

### NonPersistentKeyedBuffer.KeyedQueueIterator

    public NonPersistentKeyedBuffer.KeyedQueueIterator(NonPersistentKeyedBuffer.KeyedNode node)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.